.header {
    z-index: 900;
    position: relative;

    &__main {
        height: rem(96);
        border-bottom: 1px solid var(--gray);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        display: block;
        width: rem(138);
        flex-shrink: 0;
    }

    &__content {
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__item {
        margin-left: rem(24);

        &--auth {
            display: none;
        }

        &--search {
            display: none;
        }
    }

    &__nav {
        margin: 0;
        padding: 0;
        font-size: rem(14);
        line-height: rem(20);
        list-style: none;
        display: none;

        &__item {

            &:not(:last-child) {
                margin-right: rem(40);
            }
        }

        &__link {
            color: var(--black);
            white-space: nowrap;
            text-decoration: none;
            transition: .25s;

            &:hover {
                color: var(--gold-hover);
                text-decoration: none;
                transition: .25s;
            }

            &.active {
                color: var(--gold);
            }
        }
    }

    @include media-breakpoint-up(sm) {

        &__main {
            height: rem(160);
        }

        &__logo {
            width: rem(194);
        }

        &__item {

            &--auth {
                display: block;
            }

            &--search {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            height: rem(176);
            padding-bottom: rem(8);
        }

        &__item {
            margin-left: rem(48);
        }
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {

        &__nav {
            display: flex;
            align-items: center;
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.hamburger {
    width: rem(24);
    height: rem(16);
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        right: 0;
        height: 1px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 3px;
        background-color: $black;
    }

    span {
        top: 50%;
        width: 100%;
    }

    &:after {
        top: 0;
        width: 70%;
    }

    &:before {
        top: 100%;
        width: 80%;
    }

}

.nav-open {

}
